プラットフォーム サポート(PLATform_DATA_VIEWER)がこの組織のデータ プレーンを読み取る可能性がある時間ウィンドウを開きます。 OG_ADMIN が必要です。 duration_hours は任意(24hデフォルトでは省略)。指定された場合、1-168(7d)でなければなりません。そうでない場合、リクエストは400 で拒否されます。を再付与すると、現在のウィンドウが置き換えられます。
POST /api/v1 /organizations/{id}/support-access
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/organizations/{id}/support-access' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"duration_hours": 42
}'
リクエスト例
{
"duration_hours": 42
}
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(201)
{
"active": true,
"expires_at": "string",
"granted_at": "string",
"granted_by": "string"
}
応答の例(201)
{
"active": true,
"expires_at": "string",
"granted_at": "string",
"granted_by": "string"
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}